# Uses of Interface
org.jfree.chart3d.label.XYZLabelGenerator

Packages that use XYZLabelGenerator
Package
Description
org.jfree.chart3d.label
Classes related to chart labels.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of XYZLabelGenerator in org.jfree.chart3d.label

Classes in org.jfree.chart3d.label that implement XYZLabelGenerator
Modifier and Type
Class
Description
`class`
`StandardXYZLabelGenerator`
A default implementation of the `XYZLabelGenerator` interface.

## Uses of XYZLabelGenerator in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return XYZLabelGenerator
Modifier and Type
Method
Description
`XYZLabelGenerator`
XYZPlot.`getLegendLabelGenerator()`
Returns the legend label generator.
Methods in org.jfree.chart3d.plot with parameters of type XYZLabelGenerator
Modifier and Type
Method
Description
`void`
XYZPlot.`setLegendLabelGenerator(XYZLabelGenerator generator)`
Sets the legend label generator and sends a `Plot3DChangeEvent` to all registered listeners.